Bug 132228 - [maintainer update] mail/courier new version
Summary: [maintainer update] mail/courier new version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-01 18:50 UTC by bsd
Modified: 2009-03-07 16:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.83 KB, patch)
2009-03-01 18:50 UTC, bsd
no flags Details | Diff
extra-patch-maildrop__maildir.C (578 bytes, text/x-c++src; charset="iso 8859-15")
2009-03-03 16:42 UTC, bsd
no flags Details
extra-patch-webmail__msg2html.c (1.22 KB, text/x-csrc; charset="iso 8859-15")
2009-03-03 16:42 UTC, bsd
no flags Details
cp611.patch (5.59 KB, patch)
2009-03-03 16:42 UTC, bsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bsd 2009-03-01 18:50:01 UTC
There is new version upstream

Fix: Apply attached patch, it will update port to new version, clean up a bit  leftover from older version, and add new OPTIONs for some patches

Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2009-03-01 22:05:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov 2009-03-03 14:35:00 UTC
> Synopsis: [maintainer update] mail/courier new version
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=132228

- Your submittion is missing two extra-patch- files needed for
  MAILDROPFLAGS and WEBMAILXFACE options:
http://people.freebsd.org/~amdmi3/courier-maildropflags-0.61.1.log
http://people.freebsd.org/~amdmi3/courier-webmailxface-0.61.1.log
- It misses pop3d-ssl.8 in MAN8
- IPV6 and following options don't need this hacky stuff with setting
  on/off (`OPTIONS= FOO "foo" off` will automatically be enabled
  in an options dialog if WITH_FOO is set).
- It's nice to use SF macro for MASTER_SITES and remove
  MASTER_SITE_SUBDIR since it's ${PORTNAME} by default

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Dmitry Marakasov freebsd_committer 2009-03-03 14:36:27 UTC
State Changed
From-To: open->feedback

Awaiting submitter's feedback
Comment 4 bsd 2009-03-03 16:42:13 UTC
On Tuesday 03 March 2009 15:35:00 Dmitry Marakasov wrote:
> > Synopsis: [maintainer update] mail/courier new version
> >
> > http://www.freebsd.org/cgi/query-pr.cgi?pr=132228
>
> - Your submittion is missing two extra-patch- files needed for
>   MAILDROPFLAGS and WEBMAILXFACE options:
> http://people.freebsd.org/~amdmi3/courier-maildropflags-0.61.1.log
> http://people.freebsd.org/~amdmi3/courier-webmailxface-0.61.1.log

Attached...

> - It misses pop3d-ssl.8 in MAN8

Fixed...

> - IPV6 and following options don't need this hacky stuff with setting
>   on/off (`OPTIONS= FOO "foo" off` will automatically be enabled
>   in an options dialog if WITH_FOO is set).

It's leftover from older times, where it was necessary for some reason. If you 
have proposal, please let me know, I will test it. I would like rather not 
touch something working :) but will evaluate any idea.

> - It's nice to use SF macro for MASTER_SITES and remove
>   MASTER_SITE_SUBDIR since it's ${PORTNAME} by default

Again, could you send me an example? You know ports infrastructure better than 
I, probably, so I will listen...

There is new patch attached, as an replacement of the older one.

Milan
Comment 5 dfilter service freebsd_committer 2009-03-07 16:08:44 UTC
amdmi3      2009-03-07 16:08:32 UTC

  FreeBSD ports repository

  Modified files:
    mail/courier         Makefile Makefile.man distinfo 
  Added files:
    mail/courier/files   extra-patch-maildrop__maildir.C 
                         extra-patch-webmail__msg2html.c 
  Log:
  - Update to 0.61.1
  
  PR:             132228
  Submitted by:   Milan Obuch <bsd at dino dot sk> (maintainer)
  
  Revision  Changes    Path
  1.49      +38 -4     ports/mail/courier/Makefile
  1.11      +1 -0      ports/mail/courier/Makefile.man
  1.23      +3 -3      ports/mail/courier/distinfo
  1.1       +33 -0     ports/mail/courier/files/extra-patch-maildrop__maildir.C (new)
  1.1       +44 -0     ports/mail/courier/files/extra-patch-webmail__msg2html.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Marakasov freebsd_committer 2009-03-07 16:08:47 UTC
State Changed
From-To: feedback->open

Feddback received
Comment 7 Dmitry Marakasov freebsd_committer 2009-03-07 16:08:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!